# Bots

## Get bots

<mark style="color:blue;">`GET`</mark> `/bots`

#### Query Parameters

| Name  | Type   | Description                                          |
| ----- | ------ | ---------------------------------------------------- |
| limit | Number | The amount of the bots return. Max: 100, Default: 12 |
| page  | Number | To navigate between pages divided by limit.          |
| q     |        | To search among bots                                 |
| sort  | String | Specific data you will use to sort bots              |
| ids   | String | Just the id of the bots you want to see. Ex: 123,456 |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

#### Example Response

```json
// https://api.vcodes.xyz/v1/bots

{
    "success": true,
    "message": "Successfully fetched bots",
    "data": {
        "queries": {
            "page": 1,
            "limit": 10,
            "sort": "createdAt",
            "q": "",
            "certified": "false",
            "tags": "all",
            "ids": 0,
            "maxPage": 1,
            "isSafety": false
        },
        "data": Array[1][
            {
                "provider": "discord",
                "id": "779641401482805289",
                "profile": {
                    "avatar": "3f609d39758d9e04b50efce8b0938429",
                    "avatarURL": "https://cdn.discordapp.com/avatars/779641401482805289/3f609d39758d9e04b50efce8b0938429.png",
                    "username": "Allegro",
                    "discriminator": "2830",
                    "tag": "Allegro#2830",
                    "banner": "https://i.ibb.co/rkDjcHX/infm32feghu9wxlc77tdg.png"
                },
                "prefix": "/",
                "information": {
                    "description": "<iframe style=\"height: 700px; width: 100%\" src=\"https://allegrobot.me/\"></iframe>\n",
                    "overview": "Cheer up your own server with 🎶",
                    "creator": {
                        "isTeam": false,
                        "id": "714451348212678658"
                    },
                    "tags": Array[2][
                        "Music",
                        "Web Dashboard"
                    ]
                },
                "statistics": {
                    "servers": 162,
                    "dailyVotes": 0,
                    "weeklyVotes": 0,
                    "monthlyVotes": 0,
                    "totalVotes": 9
                },
                "state": 1,
                "certificate": 1,
                "inviteURL": "https://discord.com/oauth2/authorize?client_id=779641401482805289&permissions=2263926592&scope=bot%20applications.commands",
                "ratings": {
                    "average": null,
                    "total": 0
                },
                "vanity": null,
                "theme": {
                    "enabled": true,
                    "automatic": false,
                    "color": "#000dff",
                    "colorLighter": "#6673ff"
                },
                "status": 0,
                "createdAt": "2022-12-13T21:31:25.028Z",
                "updatedAt": "2022-12-14T19:50:13.970Z"
            }
        ]
    },
    "passingTime": "36ms"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vcodes.xyz/resources/bots.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
